# Uses of Class
org.eclipse.core.commands.Category

Packages that use Category
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.
org.eclipse.e4.core.commands
org.eclipse.e4.core.commands.internal
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.

## Uses of Category in org.eclipse.core.commands

Methods in org.eclipse.core.commands that return Category
Modifier and Type
Method
Description
`final Category`
CategoryEvent.`getCategory()`
Returns the instance of the interface that changed.
`Category`
Command.`getCategory()`
Returns the category for this command.
`Category`
CommandManager.`getCategory(String categoryId)`
Gets the category with the given identifier.
`Category[]`
CommandManager.`getDefinedCategories()`
Returns the categories that are defined.
Methods in org.eclipse.core.commands with parameters of type Category
Modifier and Type
Method
Description
`void`
Command.`define(String name, String description, Category category)`
Defines this command by giving it a name, and possibly a description as well.
`void`
Command.`define(String name, String description, Category category, IParameter[] parameters)`
Defines this command by giving it a name, and possibly a description as well.
`void`
Command.`define(String name, String description, Category category, IParameter[] parameters, ParameterType returnType)`
Defines this command by giving it a name, and possibly a description as well.
`void`
Command.`define(String name, String description, Category category, IParameter[] parameters, ParameterType returnType, String helpContextId)`
Defines this command by giving it a name, and possibly a description as well.
Constructors in org.eclipse.core.commands with parameters of type Category
Modifier
Constructor
Description
``
`CategoryEvent(Category category, boolean definedChanged, boolean descriptionChanged, boolean nameChanged)`
Creates a new instance of this class.

## Uses of Category in org.eclipse.e4.core.commands

Methods in org.eclipse.e4.core.commands that return Category
Modifier and Type
Method
Description
`Category`
ECommandService.`defineCategory(String id, String name, String description)`
`Category`
ECommandService.`getCategory(String categoryId)`
Get category for id.
Methods in org.eclipse.e4.core.commands with parameters of type Category
Modifier and Type
Method
Description
`Command`
ECommandService.`defineCommand(String id, String name, String description, Category category, IParameter[] parameters)`
`Command`
ECommandService.`defineCommand(String id, String name, String description, Category category, IParameter[] parameters, String helpContextId)`

## Uses of Category in org.eclipse.e4.core.commands.internal

Methods in org.eclipse.e4.core.commands.internal that return Category
Modifier and Type
Method
Description
`Category`
CommandServiceImpl.`defineCategory(String id, String name, String description)`
`Category`
CommandServiceImpl.`getCategory(String categoryId)`
Methods in org.eclipse.e4.core.commands.internal with parameters of type Category
Modifier and Type
Method
Description
`Command`
CommandServiceImpl.`defineCommand(String id, String name, String description, Category category, IParameter[] parameters)`
`Command`
CommandServiceImpl.`defineCommand(String id, String name, String description, Category category, IParameter[] parameters, String helpContextId)`

## Uses of Category in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands that return Category
Modifier and Type
Method
Description
`Category`
ICommandService.`getCategory(String categoryId)`
Retrieves the category with the given identifier.
`Category[]`
ICommandService.`getDefinedCategories()`
Returns the collection of all of the defined categories in the workbench.